# QGraphicsRotation Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsTransform.

### Constructor

- void QGraphicsRotation(QObject parent)

### Constructor Properties

- prototype: The QGraphicsRotation prototype object

### Prototype Object Properties

The QGraphicsRotation prototype object inherits properties from the QGraphicsTransform prototype object and also has the following properties.

- void setAxis(Axis axis)

### Instance Properties

QGraphicsRotation objects inherit properties from the QGraphicsRotation prototype object and also have the following properties.

- origin
- angle
- axis